Bug # 54392 (Closed): Installation issues

Status: Closed Priority: -- undefined --
Created: 2013-12-12 Assigned To: Bastian Waidelich
Updated: 2014-03-04 Due date:
Subject: Noes won't install or run
Description

I'm not really sure what's going on here. When I want to set up neos ( /setup ) after the green message telling me to wait 10 to 60
seconds I get redirected to /setup/login and the error and stack trace you see below.
When I just browse the home directory I get another error 500.

What's strange is that I see the last GET with the error code 500 in the access log but there are no errors or what so ever in the error
log.

As the server is running a lot of websites (TYPO3, Magento, WordPress, ...) with the same configuration I'm not sure if the problem is
on my side or if it is a bug.

So far I only tried to use the archive instead what composer downloads (so first I tried it with composer) and I tried to clear the
Temporary folder manually as well as ./flow flow:cache:flush --force
These things had no effect.

Stack trace and error (note that the actual http root is /home/user/public_html/neos/Web/ - not /home/user/public_html/):

Warning: is_file(): Unable to find the wrapper "resource" - did you forget to enable it when you configured PHP? in
/home/user/public_html/neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_View_TemplateView.php line 271

18 TYPO3\Flow\Error\ErrorHandler::handleError(2, "is_file(): Unable to find the wrapper &quot;res
View.php line 271

18 TYPO3\Flow\Error\ErrorHandler::handleError(2, "is_file(): Unable to find the wrapper &quot;resource&quot; -…d you forget
to enable it when you configured PHP?",
"/home/user/public_html/neos/Data/Temporar…w_Object_Classes/TYPO3_Fluid_View_TemplateView.php", 271, array|4|)
17 is_file("resource://TYPO3.Setup/Private/Templates/Login/Login.html")
16 TYPO3\Fluid\View\TemplateView_Original::getTemplatePathAndFilename(NULL)
15 TYPO3\Fluid\View\TemplateView_Original::getTemplateIdentifier(NULL)
14 TYPO3\Fluid\View\AbstractTemplateView::render()
13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()
12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)
11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)
10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)
9 call_user_func_array(array|2|, array|2|)
8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)
7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)
5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)
4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)
2 TYPO3\Setup\Core\RequestHandler::handleRequest()
1 TYPO3\Flow\Core\Bootstrap::run()
1 TYPO3\Flow\Core\Bootstrap::run()

Related issues:
related to TYPO3.Neos - Bug # 54317: Neos installation fails on managed serve... Closed 2013-12-11
related to TYPO3.Neos - Bug # 54380: Neos installation fails on fresh Ubuntu ... Closed 2013-12-13

History
#1 - 2013-12-12 15:02 - Bastian Waidelich
- Project changed from TYPO3.Setup to TYPO3.Neos
- Status changed from New to Needs Feedback

Hi,
thanks for reporting. I moved this to the Neos tracker.

Could you please provide more information about the server you use? Also make sure to watch #54317 for updates on managed-server support.

#2 - 2013-12-12 23:06 - Salfa mi

Hi and thanks for the answer,

the server is not a managed server but a dedicated hardware server of my own. Therefor I can also provide further logs or information if someone tells
me where to look for them or which test I should run.

The server runs Ubuntu 12.04.1 with PHP version 5.3.10-1ubuntu3.9.
The configuration is nothing special and typical for TYPO3 I guess (as this is the system which I use the most). mod_rewrite is enabled and is use
APC.

Here are the PHP core directives:

allow_call_time_pass_reference    Off    
allow_url_fopen    On    
allow_url_include    Off    
always_populate_raw_post_data    Off    
arg_separator.input    &    
arg_separator.output    &    
asp_tags    Off    
auto_append_file    no value    
auto_globals_jit    On    
auto_prepend_file    no value    
browscap    no value    
default_charset    no value    
default_mimetype    text/html    
define_syslog_variables    Off    
disable_classes    no value    
disable_functions   
pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,    
display_errors    Off    
display_startup_errors    Off    
doc_root    no value    
docref_ext    no value    
docref_root    no value    
enable_dl    Off    
error_append_string    no value    
error_log    no value    
error_prepend_string    no value    
error_reporting    22527    
exit_on_timeout   
psig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,    
display_errors    Off    
display_startup_errors    Off    
doc_root    no value    
docref_ext    no value    
docref_root    no value    
enable_dl    Off    
error_append_string    no value    
error_log    no value    
error_prepend_string    no value    
error_reporting    22527    
exit_on_timeout    Off    
expose_php    On    
extension_dir    /usr/lib/php5/20090626    
file_uploads    On    
highlight.bg    #FFFFFF    
highlight.comment    #FF8000    
highlight.default    #0000BB    
highlight.html    #000000    
highlight.keyword    #007700    
highlight.string    #DD0000    
cntl_getpriority,pcntl_setpriority,    
display_errors    Off    
display_startup_errors    Off    
doc_root    no value    
docref_ext    no value    
docref_root    no value    
enable_dl    Off    
error_append_string    no value    
error_log    no value    
error_prepend_string    no value    
error_reporting    22527    
exit_on_timeout    Off    
expose_php    On    
extension_dir    /usr/lib/php5/20090626    
file_uploads    On    
highlight.bg    #FFFFFF    
highlight.comment    #FF8000    
highlight.default    #0000BB    
highlight.html    #000000    
highlight.keyword    #007700    
highlight.string    #DD0000    
html_errors    Off    
ignore_repeated_errors    Off    
ignore_repeated_source    Off    
ignore_user_abort    Off    
implicit_flush    Off    
include_path    .:/usr/share/php:/usr/share/pear    
log_errors    On    
log_errors_max_len    1024    
magic_quotes_gpc    Off    
magic_quotes_runtime    Off    
magic_quotes_sybase    Off    
mail.add_x_header    On    
mail.force_extra_parameters    no value    
mail.log    no value    
max_execution_time    30    
max_file_uploads    20    
max_input_nesting_level    64    
max_input_time    60    
max_input_vars    1000    
memory_limit    128M    
open_basedir    no value    
output_buffering    4096    
output_handler    no value    
post_max_size    8M    
precision    14    
realpath_cache_size    16K    
realpath_cache_ttl    120    
register_argc_argv    Off    
register_globals    Off    
register_long_arrays    Off    
report_memleaks    On    
report_zend_debug    On    
request_order    GP    
safe_mode    Off    
safe_mode_exec_dir    no value    
safe_mode_gid    Off    
safe_mode_include_dir    no value    
sendmail_from    no value    
sendmail_path    /usr/sbin/sendmail -t -i     
serialize_precision    17    
short_open_tag    On    
SMTP    localhost    
smtp_port    25    
sql.safe_mode    Off    
track_errors    Off    
unserialize_callback_func    no value    
upload_max_filesize    2M    
upload_tmp_dir    /home/user/tmp    
user_dir    no value    
user_ini.cache_ttl    300    
user_ini.filename    .user.ini    
variables_order    GPCS    
xmlrpc_error_number    0    
xmlrpc_errors    Off    
y2k_compliance    On    
zend.enable_gc    On    

#3 - 2013-12-13 13:03 - Bastian Waidelich
- Parent task set to #54392

#4 - 2013-12-15 14:25 - Salfa mi

I just tried it again with Neos 1.0.1 and had the same problem. But thereby I noticed that the Exception when I run /setup the first time is actually
another (after the first time when I try to run /setup again it is as described above).

Here is the exception from the first /setup:

Uncaught exception #1355480641 in line 226 of
/home/user/public_html/neos/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Booting/Scripts.php: Execution of subprocess
failed with exit code 255 without any further output. (Please check your PHP error log for possible Fatal errors)

12 TYPO3\Flow\Core\Booting\Scripts::executeCommand("typo3.flow:core:compile", array|16|)
11 TYPO3\Flow\Core\Booting\Scripts::initializeProxyClasses(TYPO3\Flow\Core\Bootstrap)
10 call_user_func(array|2|, TYPO3\Flow\Core\Bootstrap)
9 TYPO3\Flow\Core\Booting\Step::__invoke(TYPO3\Flow\Core\Bootstrap)
8 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
7 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
6 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
5 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
4 TYPO3\Flow\Core\Booting\Sequence::invoke(TYPO3\Flow\Core\Bootstrap)
3 TYPO3\Flow\Http\RequestHandler::boot()
2 TYPO3\Setup\Core\RequestHandler::handleRequest()
1 TYPO3\Flow\Core\Bootstrap::run()
And here are the last events from the System_Development.log (so you can see the exceptions occurs three times):

13-12-15 14:07:46 13691      DEBUG     Flow                 Building DI proxy for "TYPO3\Neos\Domain\Model\Domain".
13-12-15 14:07:46 13691      DEBUG     Flow                 Building DI proxy for "TYPO3\Neos\Domain\Model\Site".
13-12-15 14:07:46 13691      DEBUG     Flow                 Building DI proxy for "TYPO3\NeosDemoTypo3Org\Controller\FlickrController".
13-12-15 14:07:46 13691      DEBUG     Flow                 Building DI proxy for "TYPO3\NeosDemoTypo3Org\Controller\RegistrationController".
13-12-15 14:07:46 13691      DEBUG     Flow                 Building DI proxy for "TYPO3\NeosDemoTypo3Org\Domain\Model\Registration".
13-12-15 14:07:46 13685      DEBUG     Flow                 Found 1010 classes whose reflection data was not cached previously.
13-12-15 14:07:46 12505      CRITICAL  Flow                 Uncaught exception #1355480641 in line 226 of
/home/user/public_html/neos/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Booting/Scripts.php: Execution of subprocess
failed with exit code 255 without any further output. (Please check your PHP error log for possible Fatal errors) - See also:
201312151407368533c5.txt
13-12-15 14:07:46 13691      DEBUG     Flow                 Found 1010 classes whose reflection data was not cached previously.
13-12-15 14:07:46 12514      CRITICAL  Flow                 Uncaught exception #1355480641 in line 226 of
/home/user/public_html/neos/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Booting/Scripts.php: Execution of subprocess
failed with exit code 255 without any further output. (Please check your PHP error log for possible Fatal errors) - See also:
20131215140736aff0d4.txt
13-12-15 14:07:46 12497      CRITICAL  Flow                 Uncaught exception #1355480641 in line 226 of
/home/user/public_html/neos/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Booting/Scripts.php: Execution of subprocess
failed with exit code 255 without any further output. (Please check your PHP error log for possible Fatal errors) - See also:
2013121514073889e498.txt

Still I have no clue how this could be related to my configuration or how I could prevent it...

/edit: There are still no errors in the apache error log.

#5 - 2013-12-16 23:53 - Florian Mast

You can try to set the memory_limit=256M
This worked for me in a similar setup

#6 - 2013-12-20 15:15 - Salfa mi

+1 for Florian!
That indeed did it. I would have never figured that this problem is caused by too less memory...

Unfortunately I'm now (after two other errors which I could workaround easily as they had meaningful error messages) stuck at a PHP fatal error right
after the complete setup. But I'll troubleshoot a little more before I open a ticket regarding this error.
Anyhow, from all the problems till now (I'm still on a system/configuration where a TYPO3 for example would not throw a single error) Neos looks far
away from being "stable" for me... unfortunately.

#7 - 2014-03-04 10:21 - Christian Fries

+1 for Florian, solved this problem.

#8 - 2014-03-04 13:59 - Bastian Waidelich
- Status changed from Needs Feedback to Closed
- Assigned To set to Bastian Waidelich

Thanks for the feedback!
I close this issue, but created a new Task to improve the experience for integrators: #56531
